--- 4.5.30/exim.conf-SpamBlockerTechnology-v4.5.30.txt	2020-09-15 16:31:26.956661944 -0600
+++ 4.5.31/exim.conf-SpamBlockerTechnology-v4.5.31.txt	2020-09-21 18:35:45.230592511 -0600
@@ -1,4 +1,4 @@
-# SpamBlockerTechnology* powered exim.conf, Version 4.5.30
+# SpamBlockerTechnology* powered exim.conf, Version 4.5.31
 # September 9, 2020
 # Exim configuration file for DirectAdmin
 # Requires exim.pl as distributed by DirectAdmin here:
@@ -319,12 +319,20 @@
           condition = ${lookup{$acl_m_username}lsearch{BLACKLIST_SCRIPT_USERNAMES}{1}{0}}
           message = USER_ON_BLACKLIST_SCRIPT BLACKLIST_SCRIPT_USERNAMES
 
+  discard condition = ${if eq{$recipients_count}{1}}
+          condition = ${if forany{<, $recipients}{eq{${acl{recipient_suspended}{$item}}}{caught}}}
+          message = DOMAIN_SUSPENDED
+
   .include_if_exists /etc/exim.blockcracking/script.conf
 
   accept
 
   .include_if_exists /etc/exim.blockcracking/script.recipients.conf
 
+recipient_suspended:
+  accept condition = ${if exists{/etc/virtual/${domain:$acl_arg1}_off}{yes}{no}}
+         message = caught
+  accept
 
 ######################################
 # ACL CHECK RECIPIENT
